#
# spec file for package gap-matricesforhomalg
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-matricesforhomalg
Version:        2024.02.01
%define sillyver 2024.02-01
Release:        1.2
Summary:        GAP: Matrices for the homalg project
License:        GPL-2.0-only
Group:          Productivity/Scientific/Math
URL:            https://homalg-project.github.io/pkg/MatricesForHomalg
#Git-Clone:     https://github.com/homalg-project/homalg_project
Source:         https://github.com/homalg-project/homalg_project/releases/download/MatricesForHomalg-%sillyver/MatricesForHomalg-%sillyver.tar.gz
BuildArch:      noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.12.1
Requires:       gap-gapdoc >= 1.0
Requires:       gap-toolsforhomalg >= 2023.11.01

%description
The MatricesForHomalg package provides lazy evaluated matrices with
clever operations for the homalg project.

%prep
%autosetup -n MatricesForHomalg-%sillyver

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Mar 23 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2024.02.01
  * No changelog was provided
* Sat Feb 11 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.12.01
  * No changelog
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 2022.10.05
  * No changelog was provided
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 2018.08.25
  * Of course - no changelog.
* Mon Feb  5 2018 jengelh@inai.de
- Update to new upstream release 2018.01.07
  * It does not look like there is ever going to be a changelog.
* Sun Dec 24 2017 jengelh@inai.de
- Update to new upstream release 2017.11.03
  * No changelog available
* Fri Sep  8 2017 jengelh@inai.de
- Update to new upstream release 2017.08.02
  * No upstream release was provided
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 2015.11.06
  * No upstream changelog was provided, again
* Sun Feb 22 2015 jengelh@inai.de
- Update to new upstream release 2015.02.03
  * No upstream changelog was provided, again
* Fri Dec 12 2014 jengelh@inai.de
- Update to new upstream release 2014.08.26
  * No upstream changelog was provided
* Fri Apr 18 2014 jengelh@inai.de
- Update to new upstream release 2014.01.29
  * No upstream changelog was provided
* Fri Feb  7 2014 jengelh@inai.de
- Update to new upstream release 2013.11.20
  * No upstream changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split matricesforhomalg (version 2013.04.16) off the gap RPM package
